# Datei öffnen

f = open("login.txt", "a")


#Login Prozess

def login():
    benutzername = input("Geben sie ihre Benutzername ein:")
    passwort = input("Geben Sie Ihren Passwort ein:")
    
    global Registrierung
    Registrierung = False #Sagt dem Programm ob der Nutzer in Zukunft registrieren möchte
    falscherPasswort = False
    try:
        # Auslesen der Datei
        with open("login.txt", "r") as f:
            accounts = f.readlines()
        
        angemeldet = False

        for account in accounts:
            name, pw = account.strip().split(",")
            if benutzername == name and passwort == pw:
                angemeldet = True
                falscherPasswort = False
                break
            elif benutzername == name and not passwort == pw:
                falscherPasswort = True

        if angemeldet and not falscherPasswort:
            print("Anmeldung erfolgreich!")
        elif falscherPasswort:
            print("Benutzername oder Passwort falsch (pw)")

        else:
            print("Benutzername oder Passwort falsch")

            newaccount = input("Wollen Sie einen neuen Account erstellen?")
            if newaccount == "Ja":
                Registrierung = True
            else:
                Registrierung = False
        
            

    except FileNotFoundError:
        print("Datei wurde nicht gefunden")

# Funktion zur Registrierung
def signin():
    newname = input("Geben Sie ihr neuer Benutzername ein:")
    newpw = input("Geben Sie ihr neues Passwort ein:")
    with open("login.txt", "a") as f:
        f.write("\n"+newname+",")
        f.write(newpw+"\n")

    print("Dein Account wurde erfolgreich registriert!")






login()

# Aufruf der Funktion falls der Nutzer registrieren will
if Registrierung:
    signin()

